Confirm a project mobile app upload
curl --request POST \
--url https://tester.army/api/v1/projects/{projectId}/mobile/upload/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storageKey": "<string>",
"filename": "<string>",
"fileSize": 1,
"removeAfter": 302430
}
'import requests
url = "https://tester.army/api/v1/projects/{projectId}/mobile/upload/confirm"
payload = {
"storageKey": "<string>",
"filename": "<string>",
"fileSize": 1,
"removeAfter": 302430
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({storageKey: '<string>', filename: '<string>', fileSize: 1, removeAfter: 302430})
};
fetch('https://tester.army/api/v1/projects/{projectId}/mobile/upload/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "ios",
"filename": "<string>",
"bundleId": "<string>",
"appVersion": "<string>",
"buildVersion": "<string>",
"fileSize": 123,
"source": "manual_upload",
"expiresAt": "2023-11-07T05:31:56Z",
"removeAfter": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Validate a completed temporary upload and promote it into project storage.
POST
/
v1
/
projects
/
{projectId}
/
mobile
/
upload
/
confirm
Confirm a project mobile app upload
Authorizations
API key authentication using Bearer token format
Path Parameters
Project ID
Body
application/json
Response
Mobile app uploaded successfully
Show child attributes
Show child attributes